import React from 'react';
import type { WorkspaceComponent } from '../';
export type AnyWorkspaceComponent = WorkspaceComponent<'My Queries'> | WorkspaceComponent<'Performance'> | WorkspaceComponent<'Databases'> | WorkspaceComponent<'Collections'> | WorkspaceComponent<'Collection'>;
export declare const WorkspacesProvider: React.FunctionComponent<{
    value: AnyWorkspaceComponent[];
}>;
export declare const useWorkspacePlugin: () => <T extends "My Queries" | "Performance" | "Databases" | "Collections" | "Collection">(name: T) => React.ComponentClass<import("../types").WorkspacePluginProps<T>, any> | ((props: import("../types").WorkspacePluginProps<T>) => React.ReactElement<any, string | React.JSXElementConstructor<any>> | null);
//# sourceMappingURL=workspaces-provider.d.ts.map